# WOK
TKWOK
WOKBuilder

# WOKBuilder_CompilerIterator Class Reference

`#include <WOKBuilder_CompilerIterator.hxx>`

Inheritance diagram for WOKBuilder_CompilerIterator:

[legend]

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | WOKBuilder_CompilerIterator (const Handle(TCollection_HAsciiString)&toolgroup, const WOKUtils_Param &params)
Standard_EXPORT | WOKBuilder_CompilerIterator (const Handle(WOKBuilder_HSequenceOfToolInShell)&tools)
Standard_EXPORT | WOKBuilder_CompilerIterator (const Handle(TCollection_HAsciiString)&toolgroup, const Handle(WOKUtils_Shell)&ashell, const Handle(WOKUtils_Path)&adir, const Handle(WOKUtils_HSequenceOfPath)&incdirs, const Handle(WOKUtils_HSequenceOfPath)&dbdirs, const WOKUtils_Param &params)
virtual Standard_EXPORT void | Init (const Handle(WOKUtils_Shell)&ashell, const Handle(WOKUtils_Path)&adir)
Standard_EXPORT void | Init (const Handle(WOKUtils_Shell)&ashell, const Handle(WOKUtils_Path)&adir, const Handle(WOKUtils_HSequenceOfPath)&incdirs, const Handle(WOKUtils_HSequenceOfPath)&dbdirs)
virtual Standard_EXPORT Handle_WOKBuilder_ToolInShell | GetTool (const Handle(TCollection_HAsciiString)&aname, const WOKUtils_Param &params) const
Standard_EXPORT WOKBuilder_BuildStatus | Execute (const Handle(WOKBuilder_Compilable)&acompilable)
Standard_EXPORT const Handle_TCollection_HAsciiString & | CmdLine () const

## Private Attributes

Handle_WOKUtils_HSequenceOfPath | myincdirs
Handle_WOKUtils_HSequenceOfPath | mydbdirs
Handle_TCollection_HAsciiString | myCmdLine

## Constructor & Destructor Documentation

Standard_EXPORT WOKBuilder_CompilerIterator::WOKBuilder_CompilerIterator | ( | const Handle(TCollection_HAsciiString)& | toolgroup,
|  | const WOKUtils_Param & | params
| ) |

Standard_EXPORT WOKBuilder_CompilerIterator::WOKBuilder_CompilerIterator | ( | const Handle(WOKBuilder_HSequenceOfToolInShell)& | tools | ) |

Standard_EXPORT WOKBuilder_CompilerIterator::WOKBuilder_CompilerIterator | ( | const Handle(TCollection_HAsciiString)& | toolgroup,
|  | const Handle(WOKUtils_Shell)& | ashell,
|  | const Handle(WOKUtils_Path)& | adir,
|  | const Handle(WOKUtils_HSequenceOfPath)& | incdirs,
|  | const Handle(WOKUtils_HSequenceOfPath)& | dbdirs,
|  | const WOKUtils_Param & | params
| ) |

## Member Function Documentation

Standard_EXPORT const Handle_TCollection_HAsciiString& WOKBuilder_CompilerIterator::CmdLine | ( |  | ) | const

Standard_EXPORT WOKBuilder_BuildStatus WOKBuilder_CompilerIterator::Execute | ( | const Handle(WOKBuilder_Compilable)& | acompilable | ) |

virtual Standard_EXPORT Handle_WOKBuilder_ToolInShell WOKBuilder_CompilerIterator::GetTool | ( | const Handle(TCollection_HAsciiString)& | aname,
|  | const WOKUtils_Param & | params
| ) | const`[virtual]`

| Reimplemented from WOKBuilder_ToolInShellIterator.

Standard_EXPORT void WOKBuilder_CompilerIterator::Init | ( | const Handle(WOKUtils_Shell)& | ashell,
|  | const Handle(WOKUtils_Path)& | adir,
|  | const Handle(WOKUtils_HSequenceOfPath)& | incdirs,
|  | const Handle(WOKUtils_HSequenceOfPath)& | dbdirs
| ) |

virtual Standard_EXPORT void WOKBuilder_CompilerIterator::Init | ( | const Handle(WOKUtils_Shell)& | ashell,
|  | const Handle(WOKUtils_Path)& | adir
| ) | `[virtual]`

| Reimplemented from WOKBuilder_ToolInShellIterator.

void WOKBuilder_CompilerIterator::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented from WOKBuilder_ToolInShellIterator.

void* WOKBuilder_CompilerIterator::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented from WOKBuilder_ToolInShellIterator.

void* WOKBuilder_CompilerIterator::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented from WOKBuilder_ToolInShellIterator.

## Field Documentation

Handle_TCollection_HAsciiString WOKBuilder_CompilerIterator::myCmdLine `[private]`

Handle_WOKUtils_HSequenceOfPath WOKBuilder_CompilerIterator::mydbdirs `[private]`

Handle_WOKUtils_HSequenceOfPath WOKBuilder_CompilerIterator::myincdirs `[private]`

The documentation for this class was generated from the following file:

- WOKBuilder_CompilerIterator.hxx